## ros-noetic-fkie-potree-rviz-plugin 2.0.1

=== CMakeLists.txt ===
############################################################################
#
# fkie_potree_rviz_plugin
# Copyright © 2018-2023 Fraunhofer FKIE
# Author: Timo Röhling
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
############################################################################
#
cmake_minimum_required(VERSION 3.1)
project(fkie_potree_rviz_plugin)

###############################################
# Find catkin macros, packages, and libraries #
###############################################

find_package(catkin REQUIRED COMPONENTS
  rviz
)

#######################
# System dependencies #
#######################

find_package(Boost REQUIRED COMPONENTS filesystem)
find_package(jsoncpp REQUIRED)
find_package(Qt5 ${rviz_QT_VERSION} EXACT REQUIRED COMPONENTS Core Widgets)
set(QT_LIBRARIES Qt5::Widgets)
set(CMAKE_AUTOMOC ON)


############################
# Configure catkin package #
############################

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
    rviz
)

#########
# Build #
#########

add_definitions(-DQT_NO_KEYWORDS)
include_directories(SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${QT_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)
add_library(${PROJECT_NAME}
  src/cloud_loader.cpp
  src/cloud_loader_1.cpp
  src/cloud_loader_2.cpp
  src/cloud_meta_data.cpp
  src/fs_path_editor.cpp
  src/fs_path_property.cpp
  src/loading_thread.cpp
  src/potree_display.cpp
  src/potree_node.cpp
  src/potree_visual.cpp
)
add_dependencies(${PROJECT_NAME}
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)
set_target_properties(${PROJECT_NAME} PROPERTIES
  CXX_VISIBILITY_PRESET "hidden"
  VISIBILITY_INLINES_HIDDEN ON
)
target_link_libraries(${PROJECT_NAME}
  jsoncpp_lib
  ${Boost_LIBRARIES}
  ${QT_LIBRARIES}
  ${catkin_LIBRARIES}
)
target_compile_features(${PROJECT_NAME} PUBLIC cxx_std_11)
###########
# Install #
###########

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY icons
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY ogre_media
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-noetic-fkie-potree-rviz-plugin 1.0.1

=== debian/changelog ===
ros-noetic-fkie-potree-rviz-plugin (1.0.1-1buster) buster; urgency=high

  * Improve cone rendering

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 05 Oct 2020 22:00:00 -0000

ros-noetic-fkie-potree-rviz-plugin (1.0.0-1buster) buster; urgency=high

  * Initial release

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Thu, 31 Jan 2019 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-fkie-potree-rviz-plugin
Section: misc
Priority: optional
Maintainer: Timo Röhling <timo.roehling@fkie.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libjsoncpp-dev, qtbase5-dev, ros-noetic-catkin, ros-noetic-rviz
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-fkie-potree-rviz-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libqt5core5a, libqt5gui5, libqt5widgets5, ros-noetic-media-export, ros-noetic-rviz
Description: Render large point clouds in rviz

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-fkie-potree-rviz-plugin//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-fkie-potree-rviz-plugin 2.0.1

=== debian/changelog ===
ros-noetic-fkie-potree-rviz-plugin (2.0.1-1focal) focal; urgency=high

  * Improve Potree folder selection
    Use a specialized path property Instead of a generic text property,
    so we can also have a file dialog to pick a folder.
  * Explicitly reject unsupported tree encodings
  * Contributors: Timo Röhling

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Tue, 04 Jul 2023 22:00:00 -0000

ros-noetic-fkie-potree-rviz-plugin (2.0.0-1focal) focal; urgency=high

  * Add support for Potree 1.8 and 2.0 formats
  * Add automatic unloading of unused nodes to limit memory usage
  * Fix compatibility with Ubuntu 20.04
  * Improve splat rendering
  * Contributors: Timo Röhling

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 24 Apr 2023 22:00:00 -0000

ros-noetic-fkie-potree-rviz-plugin (1.0.1-1focal) focal; urgency=high

  * Improve cone rendering

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Mon, 05 Oct 2020 22:00:00 -0000

ros-noetic-fkie-potree-rviz-plugin (1.0.0-1focal) focal; urgency=high

  * Initial release

 -- Timo Röhling <timo.roehling@fkie.fraunhofer.de>  Thu, 31 Jan 2019 23:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
